#include <pthread.h>
#include <stdbool.h>
#include "simulateFlux.h"
#include "getArray.h"
#include "fileGestion.h"
#include "power.h"
#include "initialParameters.h"

int nRow = 100000;
int nCol = 9;
double freqEch = 250;

int selectionCaptors[] =  {1,2,3,4,5,6,7,8};
int sizeSelectionArray = 8;

int main(int argc , char** argv){

    double period = 1 / freqEch;
    double invTimeBandWidth = 1 /(nRow * period);

    pthread_t rawData;
    pthread_create(&rawData , NULL, simulateFlux, (void *)&rawData);
    pthread_exit(NULL);
    while(power(nRow,nCol,period,invTimeBandWidth)==0){}
}